Package org.eclipse.birt.chart.event

# Class ImageRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.ImageRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

Direct Known Subclasses:
  `Image3DRenderEvent`

public class ImageRenderEvent extends PrimitiveRenderEvent
A rendering event type for rendering Image object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`ImageRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`void`
`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`void`
`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`int`
`getHeight()`
`Image`
`getImage()`
`Location`
`getLocation()`
`Position`
`getPosition()`
`int`
`getWidth()`
`boolean`
`isStretch()`
`void`
`reset()`
Resets the inner state of current event.
`void`
`setHeight(int height)`
Sets the height hint of the image.
`void`
`setImage(Image img)`
Sets the content of the image.
`void`
`setLocation(Location loc)`
Sets the location of the image.
`void`
`setPosition(Position pos)`
Sets the position of the image.
`void`
`setStretch(boolean val)`
Sets if stretch the image.
`void`
`setWidth(int width)`
Sets the width hint of the image.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getBackground, getBounds, getDepth, getLabel, getLineAttributes, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImageRenderEvent

public ImageRenderEvent(Object oSource)
The constructor.

## Method Details

### setLocation

public void setLocation(Location loc)
Sets the location of the image.

### setImage

public void setImage(Image img)
Sets the content of the image.

### setPosition

public void setPosition(Position pos)
Sets the position of the image.

### getLocation

public Location getLocation()

Returns:
  Returns the location of the image.

### getImage

public Image getImage()

Returns:
  Returns the content of the image.

### getPosition

public Position getPosition()

Returns:
  Returns the position of the image.

### setWidth

public void setWidth(int width)
Sets the width hint of the image.

### setHeight

public void setHeight(int height)
Sets the height hint of the image.

### getWidth

public int getWidth()

Returns:
  Returns the width hint of the image.

### getHeight

public int getHeight()

Returns:
  Returns the height hint of the image.

### setStretch

public void setStretch(boolean val)
Sets if stretch the image.

### isStretch

public boolean isStretch()

Returns:
  Returns if stretch the image.

### copy

public PrimitiveRenderEvent copy() throws ChartException

Overrides:
  `copy` in class `PrimitiveRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses
Throws:
  `ChartException`

### fill

public void fill(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'fill' itself on the device renderer

Overrides:
  `fill` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### draw

public void draw(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'draw' itself on the device renderer

Overrides:
  `draw` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`